<template>
  <div class="accordion-section">
    <div class="header" @click="open = !open">
      <slot name="label" />
      <span>{{ open ? "&#x25B2;" : "&#x25BC;" }}</span>
    </div>
    <div class="content" :class="{ open }">
      <slot />
    </div>
  </div>
</template>
<style lang="scss" scoped>
@import "~assets/mixins.scss";

.accordion-section {
  flex-direction: inherit;

  .header {
    display: flex;
    flex-direction: row;

    cursor: pointer;

    justify-content: space-between;
    align-items: center;

    background-color: $color-background-highlight;
  }

  .content {
    height: 0;
    overflow: hidden;

    transition: height 200ms ease-in-out;

    &.open {
      height: auto;
    }
  }
}
</style>
<script>
export default {
  props: ["startOpen"],
  data() {
    return {
      open: this.startOpen,
    };
  },
  methods: {},
};
</script>
